libosmogsm 1.13.1.1-afb4 Osmocom GSM library

Data Fields
osmo_gsup_pdp_info Struct Reference
Generic Subscriber Update Protocol

parsed/decoded PDP context information More...

`#include <gsup.h>`

## Data Fields
unsigned int | context_id
int | have_info
union {
struct {
} |
}; |
| Type of PDP context, 3GPP TS 29.060, 7.7.27. More...
struct osmo_sockaddr | pdp_address [2]
const uint8_t * | apn_enc
| APN information, still in encoded form. More...
size_t | apn_enc_len
| length (in octets) of apn_enc More...
const uint8_t * | qos_enc
| QoS information, still in encoded form. More...
size_t | qos_enc_len
| length (in octets) of qos_enc More...
const uint8_t * | pdp_charg_enc
| PDP Charging Characteristics, still in encoded form. More...
size_t | pdp_charg_enc_len
| length (in octets) of pdp_charg_enc More...

## Detailed Description

parsed/decoded PDP context information

## Field Documentation

## ◆

union { ... } osmo_gsup_pdp_info::@10

Type of PDP context, 3GPP TS 29.060, 7.7.27.

## ◆ apn_enc

const uint8_t* osmo_gsup_pdp_info::apn_enc

APN information, still in encoded form.

Can be NULL if no APN information included

Referenced by decode_pdp_info(), and encode_pdp_info().

## ◆ apn_enc_len

size_t osmo_gsup_pdp_info::apn_enc_len

length (in octets) of apn_enc

Referenced by decode_pdp_info(), and encode_pdp_info().

## ◆ context_id

unsigned int osmo_gsup_pdp_info::context_id

Referenced by decode_pdp_info(), encode_pdp_info(), osmo_gsup_decode(), and osmo_gsup_encode().

## ◆ have_info

int osmo_gsup_pdp_info::have_info

Referenced by osmo_gsup_decode(), and osmo_gsup_encode().

## ◆ pdp_address

struct osmo_sockaddr osmo_gsup_pdp_info::pdp_address[2]

Referenced by decode_pdp_address(), and encode_pdp_info().

## ◆ pdp_charg_enc

const uint8_t* osmo_gsup_pdp_info::pdp_charg_enc

PDP Charging Characteristics, still in encoded form.

Can be NULL if no PDP Charging Characteristics

Referenced by decode_pdp_info(), and encode_pdp_info().

## ◆ pdp_charg_enc_len

size_t osmo_gsup_pdp_info::pdp_charg_enc_len

length (in octets) of pdp_charg_enc

Referenced by decode_pdp_info(), and encode_pdp_info().

## ◆ qos_enc

const uint8_t* osmo_gsup_pdp_info::qos_enc

QoS information, still in encoded form.

Can be NULL if no QoS information included

Referenced by decode_pdp_info(), and encode_pdp_info().

## ◆ qos_enc_len

size_t osmo_gsup_pdp_info::qos_enc_len

length (in octets) of qos_enc

Referenced by decode_pdp_info(), and encode_pdp_info().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gsup.h